# qca_securelayer.h File Reference

Header file for SecureLayer and its subclasses. More...

`#include <QObject>`
`#include "qca_core.h"`
`#include "qca_publickey.h"`
`#include "qca_cert.h"`

Include dependency graph for qca_securelayer.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::SASL
| Simple Authentication and Security Layer protocol implementation. More...
class | QCA::SASL::Params
| Parameter flags for the SASL authentication. More...
class | QCA::SecureLayer
| Abstract interface to a security layer. More...
class | QCA::TLS
| Transport Layer Security / Secure Socket Layer. More...
class | QCA::TLSSession
| Session token, used for TLS resuming. More...

## Enumerations

enum | QCA::SecurityLevel { QCA::SL_None, QCA::SL_Integrity, QCA::SL_Export, QCA::SL_Baseline, QCA::SL_High, QCA::SL_Highest }

## Detailed Description

Header file for SecureLayer and its subclasses.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.